commit: 891944052703fe6dc33fd8bc2633ae621e9d94e3
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 14 23:47:52 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Jun 14 23:47:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89194405
net-libs/gsoap: bump to v2.8.114
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
net-libs/gsoap/Manifest | 1 +
net-libs/gsoap/gsoap-2.8.114.ebuild | 80 +++++++++++++++++++++++++++++++++++++
2 files changed, 81 insertions(+)
diff --git a/net-libs/gsoap/Manifest b/net-libs/gsoap/Manifest
index 997c2ced01d..270ac1314f7 100644
--- a/net-libs/gsoap/Manifest
+++ b/net-libs/gsoap/Manifest
@@ -1 +1,2 @@
DIST gsoap_2.8.106.zip 32740371 BLAKE2B
b4904290ec5d8ebfc326bfd8d2c99e68c88cc9a07440d97ed8a442331c9f74549f75118f3e237f0796eba060b988d521c3af2bb9485d06e8277c5f18ade8cd82
SHA512
c461870fc563f848bfbdbc492cc5a26fece0d0c9a56092cb06ca3139e88c340969f23865e72187e1141a8f707f14ab6806e6a0b739b3c531161deefd6fbe510a
+DIST gsoap_2.8.114.zip 34599617 BLAKE2B
fe68b057fa288b033f068be33e3f8871af8daf812d77a2fc87399f6750a4a8e23cb323dade3385c9b2147b2cde46980e9c52d393eff6eb16fa52cdbcc7a62537
SHA512
205d38a36c56780fd34bad8ea56525a04d4dc5b58af55676783c78d6eecf47dd0e9c86b0106f68127cfb2f45cb94f6ac9ebe353d1c6687e9faa13badb4a9690a
diff --git a/net-libs/gsoap/gsoap-2.8.114.ebuild
b/net-libs/gsoap/gsoap-2.8.114.ebuild
new file mode 100644
index 00000000000..6beb07adfc2
--- /dev/null
+++ b/net-libs/gsoap/gsoap-2.8.114.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+MY_P="${PN}-2.8"
+
+DESCRIPTION="A cross-platform open source C and C++ SDK for SOAP/XML Web
services"
+HOMEPAGE="http://gsoap2.sourceforge.net"
+SRC_URI="mirror://sourceforge/gsoap2/gsoap_${PV}.zip"
+
+LICENSE="|| ( gSOAP GPL-2+-with-openssl-exception ) GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc debug examples ipv6 gnutls +ssl"
+
+RDEPEND="
+ sys-libs/zlib
+ gnutls? ( net-libs/gnutls )
+ ssl? (
+ dev-libs/openssl:0=
+ )
+"
+DEPEND="${RDEPEND}
+ app-arch/unzip
+ sys-devel/flex
+ sys-devel/bison
+"
+
+PATCHES=(
+ # Fix Pre-ISO headers
+ "${FILESDIR}/${PN}-2.7.10-fedora-install_soapcpp2_wsdl2h_aux.patch"
+
+ # enable shared libs https://bugs.gentoo.org/583398
+ "${FILESDIR}/${PN}-2.8.91-shared_libs.patch"
+)
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ # Don't include xlocale.h as it got removed in >=glibc-2.26
+ --disable-xlocale
+ $(use_enable debug)
+ $(use_enable gnutls)
+ $(usex ipv6 --enable-ipv6 '')
+ $(usex ssl '' --disable-ssl)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # yes, we also install the license-file since
+ # it contains info about how to apply the licenses
+ dodoc *.txt
+
+ docinto html
+ dodoc changelog.md
+
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+
+ if use examples; then
+ insinto /usr/share/${PN}/examples
+ doins -r gsoap/samples/*
+ fi
+
+ if use doc; then
+ docinto html
+ dodoc -r gsoap/doc/*
+ fi
+}